SOLVED Need help on downgrading Thunar from 1.8.4 to 1.6.3

If none of the more specific forums is the right place to ask

Re: Need help on downgrading Thunar from 1.8.4 to 1.6.3

Postby stevepusser » 2019-08-24 01:50

djk44883 wrote:
efrpcabo wrote:
stevepusser wrote:Yes--they work fine with Thunar 1.8.9 and xfdesktop 4.14 from my repo, because it supports the same "3" API. I have the MX 19 developer's private alpha4, which has the same packages, and all our custom desktop actions work.


Could you please tell me how can I use backports to install this?

I've tried, but I could make it work:


You have to start by adding

Postby stevepusser » Wed Aug 14, 2019 3:59 pm
I am working on backports of XFCE 4.1.4 for Buster and Stretch, but it might be a day or so before I'm finished.


The backport reppository stevepusser built!! https://download.opensuse.org/repositories/home:/stevenpusser:/xfce-4.14/Debian_10/ I'm not sure where the detailed instructions are. After it's added you'll need to get the key file, via apt-key. or apt install (maybe).


The OBS automatically generates instructions add the repo and its key, but does it for every package in the repo, plus they are somewhat confusing. I simplified them, plus once you add the repo, you of course have access to every package in it. If you want to see the original instructions for the "xfce4" metapackage that I improved for the repo, go to that link, https://build.opensuse.org/project/show ... :xfce-4.14 click on the "xfce" package, then on the "Download Package" link in the upper right. Then click on the Debian icon, and then on the "Add repository and install manually" line.

Credit goes to Tim at MX Linux for doing most of the original packaging for MX 19 that I copied. A lot of the packages were originally in the Xubuntu PPA. I added the fixes to the packages that originally failed to build on a Stretch base by having them detect if they were being built on Stretch or MX 18 and if so, then apply the change in debian/rules.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Calibre 3.48.0, QMPlay2 19.09.03, wine-staging 4.16, Telegram-desktop 1.8.8, Pale Moon 28.7.1, Waterfox 56.2.14
User avatar
stevepusser
 
Posts: 11098
Joined: 2009-10-06 05:53

Re: SOLVED Need help on downgrading Thunar from 1.8.4 to 1.6

Postby Bloom » 2019-08-24 08:57

I'm using Thunar 1.8.9 from Debian Sid and custom actions work just fine.
User avatar
Bloom
 
Posts: 178
Joined: 2017-11-11 12:23

Re: SOLVED Need help on downgrading Thunar from 1.8.4 to 1.6

Postby stevepusser » 2019-08-24 17:42

Bloom wrote:I'm using Thunar 1.8.9 from Debian Sid and custom actions work just fine.


Since Sid added xfdesktop 4.14 a couple of days ago, that's the expected result. But this thread was about the existing problem with the Thunar in Buster and its 4.12 desktop package, which the Sid version doesn't help with at all.

I think a bug should be filed against Thunar in Debian Buster, and Thunar go back down to the last gtk2 release, which I think would be around 1.7.5. They could rename that package "1.8.4really1.7.5" to make it an automatic upgrade--they've done that for similar "downgrade-updates" in the past in the repos, so it's not unheard of.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Calibre 3.48.0, QMPlay2 19.09.03, wine-staging 4.16, Telegram-desktop 1.8.8, Pale Moon 28.7.1, Waterfox 56.2.14
User avatar
stevepusser
 
Posts: 11098
Joined: 2009-10-06 05:53

Re: SOLVED Need help on downgrading Thunar from 1.8.4 to 1.6

Postby Bloom » 2019-08-24 19:06

If the current version is 1.8.4, I bet you can safely upgrade to 1.8.9 rather than downgrade to 1.6.3.
It can be done by adding the unstable repo to sources.list, doing an apt update followed by apt install thunar then remove the unstable repo again or comment it out. Do NOT leave it in, because then the whole system will be upgraded to unstable.
User avatar
Bloom
 
Posts: 178
Joined: 2017-11-11 12:23

Re: SOLVED Need help on downgrading Thunar from 1.8.4 to 1.6

Postby stevepusser » 2019-08-24 23:07

Bloom wrote:If the current version is 1.8.4, I bet you can safely upgrade to 1.8.9 rather than downgrade to 1.6.3.
It can be done by adding the unstable repo to sources.list, doing an apt update followed by apt install thunar then remove the unstable repo again or comment it out. Do NOT leave it in, because then the whole system will be upgraded to unstable.


If you read the thread, you'll see that won't help at all if the xfdesktop package is still 4.12.

The thread is SOLVED. Please don't suggest FrankenDebian is a solution. And no, my backported 4.14 is not a FrankenDebian--that's whole point of backporting.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Calibre 3.48.0, QMPlay2 19.09.03, wine-staging 4.16, Telegram-desktop 1.8.8, Pale Moon 28.7.1, Waterfox 56.2.14
User avatar
stevepusser
 
Posts: 11098
Joined: 2009-10-06 05:53

Re: SOLVED Need help on downgrading Thunar from 1.8.4 to 1.6

Postby djk44883 » 2019-08-25 12:40

Bloom wrote: I bet you can safely upgrade to

I "bet you can" could be interrupted as - well I don't know, you can take a chance and see what happens, or go a head and try this and see what happens.

If you're not really sure... come out and explicitly say. "There's a chance this may work. I haven't actually used it, and it may cause you issues, but the logic is there" well, something along those lines -- I bet you could provide a clear disclaimer!
djk44883
 
Posts: 80
Joined: 2010-12-11 13:14

Re: SOLVED Need help on downgrading Thunar from 1.8.4 to 1.6

Postby CwF » 2019-08-25 14:53

djk44883 wrote:-- I bet you could provide a clear disclaimer!

Exactly. It's true many answers here are not well qualified. There is a difference between operating on a lone computer with minimal external support, and playing on a vm with many rescue paths.
If we understand my point with vm's, destructive testing is by far the fastest and most effective way to decide. In a vm the time to gdebi in a sid package, test things to conclusion or failure, should take less time than reading this thread.
Personally, altering sources.list is always a bad idea and never required.
CwF
 
Posts: 446
Joined: 2018-06-20 15:16

Re: SOLVED Need help on downgrading Thunar from 1.8.4 to 1.6

Postby stevepusser » 2019-08-25 19:50

We already know that only a newer Thunar just flat out won't work. Haven't you read this thread? How much experience do you have building and integrating a newer version of XFCE and its panel plugins? I've done the 4.10 to 4.12 transition and a part of the 4.12-4.14 for MX Linux.

Let me get this straight. Are you still advocating FrankenDebian when we already know my backports repo solves the issue--yes or no?
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Calibre 3.48.0, QMPlay2 19.09.03, wine-staging 4.16, Telegram-desktop 1.8.8, Pale Moon 28.7.1, Waterfox 56.2.14
User avatar
stevepusser
 
Posts: 11098
Joined: 2009-10-06 05:53

Re: SOLVED Need help on downgrading Thunar from 1.8.4 to 1.6

Postby CwF » 2019-08-25 21:22

stevepusser wrote:Are you still advocating FrankenDebian

Bloom might be, for me not really. I'm just pointing out the many questions that can simply be answered by doing. I have no doubt your repos would work fine. No doubt ripping the new out and forcing the old could be done too. In either case with any answer something will be learned. I'm not worried about frankendebians, after all there's a few out there, called distros. I answer these type questions my self on vm's. I had already gone through it a few months back and did what I said in my first post. I made some variations and settled.
CwF
 
Posts: 446
Joined: 2018-06-20 15:16

Re: SOLVED Need help on downgrading Thunar from 1.8.4 to 1.6

Postby stevepusser » 2019-08-25 21:36

I'm not worried about frankendebians, after all there's a few out there, called distros.


I'm afraid you don't really understand what a FrankenDebian is if you think some distros fit that definition. Name a couple.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Calibre 3.48.0, QMPlay2 19.09.03, wine-staging 4.16, Telegram-desktop 1.8.8, Pale Moon 28.7.1, Waterfox 56.2.14
User avatar
stevepusser
 
Posts: 11098
Joined: 2009-10-06 05:53

Re: SOLVED Need help on downgrading Thunar from 1.8.4 to 1.6

Postby CwF » 2019-08-25 22:09

Well if a few packages from sid is a Frankendebian, then I'm not scared. If many poorly chosen repositories in ones sources.list is a frankendebian, I don't do that. Outside of that, no, I don't understand.
I haven't tried any distro in years, so I don't know any. Just debian. I don't look for new ways, I work backwards from the desired result. If a single injected package from sid works, that is the answer. If not, well we start making stuff if it's that important. Since I installed as Jessie, many injected packages are simply forgotten from attrition. I've ruined many clones. I started looking at buster last December. At that time I needed to hold a few things and had a dozen things injected from sid. A few weeks ago I moved things to my buster final image and 2 packages remain. That isn't a frankendebian I don't think.
CwF
 
Posts: 446
Joined: 2018-06-20 15:16

Re: SOLVED Need help on downgrading Thunar from 1.8.4 to 1.6

Postby djk44883 » 2019-08-25 22:25

I bet Bloom is just guessing. stevepusser is a developer backported created a repository for a stable system... you don't think he has a clue about things?

Debian is stable is about have a system that is stable. Stick to stable debian sources and your system will stay up for as long as almost necessary.

I have a system running now Bullseye testing, when Buster, it would go weeks between reboots. Although issues may occur, myself and many have found debian testing to be secure enough for routine use. Me, it's my media PC, so it's not critical. I have Buster stable on my system taking care of my household and personal expenses and issues.
djk44883
 
Posts: 80
Joined: 2010-12-11 13:14

Re: SOLVED Need help on downgrading Thunar from 1.8.4 to 1.6

Postby CwF » 2019-08-25 22:40

yep, all that djk44883. I do stick to stable. I appreciate what stevepusser does, and he does it for larger questions than I do with an occasional vm tested injected package. I give my big machines courteous reboots within 90 days of uptime. That's the stability I expect. And frankly that's what I get. The mentioned move to my final buster image (just vm's) was my last reboot, I think at 88 days...
CwF
 
Posts: 446
Joined: 2018-06-20 15:16

Re: SOLVED Need help on downgrading Thunar from 1.8.4 to 1.6

Postby stevepusser » 2019-08-27 18:33

I updated xfce4-settings in the repo to 4.14.1 from Sid, and now there's a new Color Profiles setting. But we're still trying to figure out how it works on the MX 19 public beta.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Calibre 3.48.0, QMPlay2 19.09.03, wine-staging 4.16, Telegram-desktop 1.8.8, Pale Moon 28.7.1, Waterfox 56.2.14
User avatar
stevepusser
 
Posts: 11098
Joined: 2009-10-06 05:53

Previous

Return to General Questions

Who is online

Users browsing this forum: No registered users and 7 guests

fashionable